[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#574336: marked as done (pkgsel: Only run update-initramfs once during installation?)



Your message dated Sun, 2 Mar 2014 03:00:15 +0100
with message-id <20140302020014.GA8209@mraw.org>
and subject line Re: Bug#574336: pkgsel: Only run update-initramfs once during installation?
has caused the Debian Bug report #574336,
regarding pkgsel: Only run update-initramfs once during installation?
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
574336: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=574336
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: pkgsel
Version: 0.25
Tags:    patch

When checking the Ubuntu changes to pkgsel, I noticed this change:

 - Divert update-initramfs and call it just once at the end (with
   bind-mounted /dev, /proc, and /sys, and a preceding update-dev).

This seem like a good optimization for the installation time to bring
over to Debian, making sure update-initramfs is only executed twice
during the installation instead of several times more (once when the
kernel is installed by base-insatller, and once after pkgsel is done).
Is there any reason not to include it?

This patch relative to the current svn version would implement it.  It
is ripped directly from the Ubuntu patch.

Index: debian/postinst
===================================================================
--- debian/postinst	(revision 62670)
+++ debian/postinst	(working copy)
@@ -6,7 +6,7 @@
 export LANG=C
 
 REMOUNT_CD=""
-DIVERTS='/usr/bin/scrollkeeper-update /usr/bin/scrollkeeper-rebuilddb /usr/bin/fc-cache'
+DIVERTS='/usr/bin/scrollkeeper-update /usr/bin/scrollkeeper-rebuilddb /usr/bin/fc-cache /usr/sbin/update-initramfs'
 
 log() {
 	logger -t pkgsel "$@"
@@ -163,7 +163,22 @@
 	chroot /target fc-cache -f -v >/target/var/log/fontconfig.log 2>&1 \
 		|| true
 fi
+if [ -x /target/usr/sbin/update-initramfs ]; then
+	# get UUIDs for any devices formatted after partitioning
+	update-dev
 
+	# make UUIDs etc. available in the target system
+	mount -o bind /dev /target/dev
+	mount -o bind /sys /target/sys
+	mount -o bind /proc /target/proc
+	
+	chroot /target /usr/sbin/update-initramfs -u || true
+	
+	umount /target/proc
+	umount /target/sys
+	umount /target/dev
+fi
+
 db_progress STEP 30
 db_progress STOP
 
Happy hacking,
-- 
Petter Reinholdtsen



--- End Message ---
--- Begin Message ---
Petter Reinholdtsen <pere@hungry.com> (2010-03-17):
> Package: pkgsel
> Version: 0.25
> Tags:    patch
> 
> When checking the Ubuntu changes to pkgsel, I noticed this change:
> 
>  - Divert update-initramfs and call it just once at the end (with
>    bind-mounted /dev, /proc, and /sys, and a preceding update-dev).
> 
> This seem like a good optimization for the installation time to bring
> over to Debian, making sure update-initramfs is only executed twice
> during the installation instead of several times more (once when the
> kernel is installed by base-insatller, and once after pkgsel is done).
> Is there any reason not to include it?
> 
> This patch relative to the current svn version would implement it.  It
> is ripped directly from the Ubuntu patch.

With dpkg triggers, this shouldn't be needed any more, so closing.

See my comments in another bug report about a possible extra, explicit
call which we might want to get rid of:
  https://lists.debian.org/debian-boot/2014/02/msg00296.html

Mraw,
KiBi.

Attachment: signature.asc
Description: Digital signature


--- End Message ---

Reply to: